This package has classes used to generate Javadoc tag documentation. Doclets no longer have to implement its own version of standard tags such as @param and @throws. This is the single, doclet implementation of each standard tag that is shared by all doclets. Each doclet must have a taglet writer that takes a taglet as input and writes doclet-dependent output. The taglet itself will do the tag processing. For example, suppose we are outputing @throws tags. The taglet would:

- Retrieve the list of throws tags to be documented.
- Replace {@inheritDoc} with the appropriate documentation.
- Add throws documentation for exceptions that are declared in the signature of the method but not documented with the throws tags.

After doing the steps above, the taglet would pass the information to the taglet writer for writing. The taglets are essentially builders for tags.

This code is not part of an API. It is implementation that is subject to change. Do not use it as an API.